<div class="col-8 offset-2 mt-4">
    <h3>Detalle de la tarea</h3>

    <div *ngIf="loading==true" class="mt-4 text-center ">
        <img src="../../assets/imgs/ajax-loader.gif" class="loader-img">
    </div>
    <div class="card" style="width: 32rem;" *ngIf="loading==false">
        <div class="card-header">
            <h5 class="card-title font-weight-bold">{{task.title}}</h5>
        </div>
        <div class="card-body">
            <h5 class="card-title text-muted">Id: {{task.id}}</h5>
            <h5 class="card-subtitle mb-3">Creada por: <span class="font-weight-bold font-italic"> {{task.user.name}}
                    {{task.user.surname}}</span></h5>
            <h5 class="card-subtitle mb-3">Creada el:
                 <span class="font-weight-bold font-italic">
                    {{task.createdAt.timestamp | generateDate}}
                </span>
            </h5>
            <h5 class="card-subtitle mb-3">Estado: <span class="badge"
                    [ngClass]="task.status=='nueva'? 'badge-primary' :(task.status == 'pendiente' ? 'badge-warning' : 'badge-success')">{{task.status}}</span>
            </h5>
            <p class="card-text">{{task.description}}</p>
            <a [routerLink]="['index']" class="card-link">Volver a tareas</a>
            <!-- Button trigger modal -->
            <div class="mt-3">
            <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#borrarTarea">
                Borrar Tarea
            </button>
            </div>

            <!-- Modal -->
            <div class="modal fade" id="borrarTarea" tabindex="-1" role="dialog" aria-labelledby="borrarTareaLabel"
                aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="borrarTareaLabel">¿Estás Seguro?</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            Si confirmas se borrará permanentemente la tarea ¿Estás seguro?
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                            <button type="button" class="btn btn-primary" data-dismiss="modal" (click)="removeTask(task.id)">Sí, quiero borrarla</button>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>